<!DOCTYPE html>
<html lang="en">
<head>
  <title>Comment Page</title>
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css">
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
  <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.3/umd/popper.min.js"></script>
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.1.3/js/bootstrap.min.js"></script>
	<script type="text/javascript">


  $(document).ready(function(){
		$("#poster").change(function(){
			 		 readURL(this);
				    
				});
	});

	
	function readURL(input) {
    if (input.files && input.files[0]) {
        var reader = new FileReader();
        reader.onload = function (e) {
            $('#csphoto').attr('src', e.target.result);
        }
        reader.readAsDataURL(input.files[0]);
    }
}

	function clearMessage(){
		document.getElementById("errorMessage").innerHTML="";
	}	
	

	function validate(){
		console.log(")@@(@(@(((((((((((((((((((((validate is called)))))))))))))))))))))))");
		var taskid=document.commentForm.taskid.value;
		if(taskid.length==0){
			var spanObj=document.getElementById("errorMessage");
			spanObj.innerHTML="Sorry! taskid cannot be blank.............";
			document.commentForm.taskid.focus();
			return;
		}
		var userid=document.commentForm.userid.value;
		if(userid.length==0){
			var spanObj=document.getElementById("errorMessage");
			spanObj.innerHTML="Sorry! Userid cannot be blank.............";
			document.commentForm.userid.focus();
			return;
		}

		var commentBody=document.commentForm.commentBody.value;
		if(commentBody.length==0){
			var spanObj=document.getElementById("errorMessage");
			spanObj.innerHTML="Sorry! poster cannot be blank.............";
			document.commentForm.commentBody.focus();
			return;
		}
		var commentPostURI="v3/tasks/"+taskid+"/comments";
	
	fetch(commentPostURI, {
  method: 'post',
  headers: {
    'Accept': 'application/json, text/plain, */*',
    'Content-Type': 'application/json'
  },
  body: JSON.stringify({commentBody: commentBody, userid: userid,taskid:taskid})
}).then(res=>res.json())
	.then(res =>{
				console.log(res)
		var spanObj=document.getElementById("errorMessage");
				spanObj.innerHTML=res;
		});
		}
  </script>
</head>
<body >
<header style="background-color: #062f6d;height:30px;">
</header>
<div class="container">
  <h2>Comments!!!!!!!!!!!!!!! Page!</h2>
  <a href="v3/comments"><img src="img/comments.png" class="img-thumbnail" style="height: 100px;">Show Comments!!</a>
  	<br/> 	<br/> 	
  	<span id="errorMessage" style="color:red;font-size: 18px;">coming soon.....</span>	
  	<br/> 
  	<form id="commentForm" name="commentForm" action="v3/comments" method="post">
			Tast Id :
			<input type="text" name="taskid" class="form-control" style="width: 50%" onkeydown="clearMessage();"> 	
			<br/> 	
			UserId :
			<input type="text" name="userid" class="form-control" style="width: 50%" onkeydown="clearMessage();"> 	
			<br/> 	
				Comments  :
				<textarea  name="commentBody" rows="4" cols=""  class="form-control" style="width: 50%"></textarea>
			<br/> 	
			<button type="button" class="btn btn-primary" onclick="validate();">Add Comment</button>
	</form>
	<hr/>
	
</div>

</body>
</html>
